Kerbal Space Program - Bug #18234

No Kerbals in Astronaut Complex with German Language Pack

03/27/2018 04:48 PM - MechBFP

Status: Closed Start date: 03/27/2018
Severity: Low % Done: 100%

Assignee:

Category: Gameplay

Target version: 1.3.1

Version: 1.3.1 Language: Deutsche (German)
Platform: Windows Mod Related: No

Expansion: Core Game

Description

As per the title, installing the language German pack on version 1.3.1.2077 causes NREs in the Astronaut Complex and therefore no

kerbals being generated.

https://steamcommunity.com/app/220200/discussions/0/1698294337786246272/

https://forum.kerbalspaceprogram.com/index.php?/topic/172895-astronauts-complex-doesnt-work/

History

#1 - 03/27/2018 07:11 PM - Squelch

- Category changed from Spelling/Grammar/Localization to Gameplay

Please could you attach your log files?

From the forum thread, you say that you have downloaded 1.3.1.2077. That is not a valid version. Could you please outline the steps you have
performed before we can help you? You can upload logs directly to this bug tracker.

#2 - 03/27/2018 07:11 PM - Squelch

- Status changed from New to Need More Info

#3 - 03/27/2018 07:34 PM - Squelch
- Status changed from Need More Info to Investigating

- % Done changed from 0 to 20

| have been able to confirm this, and it is now under investigation.

#5 - 04/17/2018 02:21 PM - Squelch
- Status changed from Investigating to Ready to Test
- Target version set to 1.3.1

- % Done changed from 20 to 80

The languages, German, French, Italian, and Portuguese-Brazilian unfortunately require language support that is not available in versions prior to
1.4.1. While the ability to select one of these languages remains on Steam, the game will stay on any previously supported language.

A partial workaround is to use the dictionary file for the chosen language from third parties (mods), but this is does not carry official support.

A text file is placed in the \Gamedata\Squad\Localization folder explaining this situation.

The fix has already been applied to Steam. Other distribution methods have not been affected.

#6 - 06/07/2019 02:48 PM - MechBFP
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#7 - 06/12/2019 07:22 PM - chris.fulton
https://steamcommunity.com/app/220200/discussions/0/1698294337786246272/
https://forum.kerbalspaceprogram.com/index.php?/topic/172895-astronauts-complex-doesnt-work/

- Status changed from Resolved to Closed
